GET
/api/reverse-proxies/domainsRetrieve Service Domains
Get information about domains that can be used for service endpoints.
200A JSON Array of ReverseProxyDomains
domainstringrequired
Domain name
idstringrequired
Domain ID
require_subdomainbooleanoptional
Whether a subdomain label is required in front of this domain. When true, the domain cannot be used bare.
supports_crowdsecbooleanoptional
Whether the proxy cluster has CrowdSec configured
supports_custom_portsbooleanoptional
Whether the cluster supports binding arbitrary TCP/UDP ports
supports_privatebooleanoptional
Whether the proxy cluster supports private (NetBird-only) services. True when at least one connected proxy in the cluster runs embedded in a netbird client.
target_clusterstringoptional
The proxy cluster this domain is validated against (only for custom domains)
typestringrequired
Type of Reverse Proxy Domain
validatedbooleanrequired
Whether the domain has been validated
400Bad Request
401Requires authentication
403Forbidden
404Resource not found
500Internal Server Error
Error handling
A 400 is returned: Bad Request. A 401 is returned: Requires authentication. A 403 is returned: Forbidden. A 404 is returned: Resource not found. A 500 is returned: Internal Server Error.